WidgetController

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.widgets.base.widget
Class WidgetController

    java.lang.Object
      net.ctdp.rfdynhud.widgets.base.widget.WidgetController

    public abstract class WidgetController

extends java.lang.Object

Controls `Widget`s' visibility and position.

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`WidgetController()`

Method Summary
`protected VehicleScoringInfo` | `getCompareVSI()`
`protected VehicleScoringInfo` | `getViewedVSI()`
`java.lang.Boolean` | `isWidgetVisible()`
`void` | `setCompareVehicle(java.lang.Integer vsiID)`
`void` | `setViewedVehicle(java.lang.Integer vsiID)`
`void` | `setWidgetVisible(java.lang.Boolean visible)`
`void` | `update(Widget widget, LiveGameData gameData)`
`protected abstract void` | `updateImpl(Widget widget, LiveGameData gameData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetController

    public WidgetController()

Method Detail

### setWidgetVisible

    public void setWidgetVisible(java.lang.Boolean visible)

### isWidgetVisible

    public final java.lang.Boolean isWidgetVisible()

### setViewedVehicle

    public void setViewedVehicle(java.lang.Integer vsiID)

### getViewedVSI

    protected final VehicleScoringInfo getViewedVSI()

### setCompareVehicle

    public void setCompareVehicle(java.lang.Integer vsiID)

### getCompareVSI

    protected final VehicleScoringInfo getCompareVSI()

### updateImpl

    protected abstract void updateImpl(Widget widget,
                                       LiveGameData gameData)

### update

    public final void update(Widget widget,
                             LiveGameData gameData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD